hpp-corbaserver: hpp::corbaServer::BasicServer Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::corbaServer::BasicServer Class Reference

`#include <basic-server.hh>`

Inheritance diagram for hpp::corbaServer::BasicServer:
[legend]
Collaboration diagram for hpp::corbaServer::BasicServer:
[legend]

## Public Member Functions
| BasicServer (Server *parent)
| ~BasicServer ()
void | startCorbaServer (const std::string &contextId, const std::string &contextKind)
| Start corba server.
::CORBA::Object_ptr | servant (const std::string &name) const
std::string | name () const
Public Member Functions inherited from hpp::corbaServer::ServerPlugin
virtual | ~ServerPlugin ()
Server * | parent ()
core::ProblemSolverPtr_t | problemSolver () const
ProblemSolverMapPtr_t | problemSolverMap () const
void | setProblemSolverMap (ProblemSolverMapPtr_t psMap)
| Set planner that will be controlled by server.

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServerPlugin
| ServerPlugin (Server *parent)
template<typename T >
void | initializeTplServer (corba::Server< T > *&server, const std::string &contextId, const std::string &contextKind, const std::string &objectId, const std::string &objectKind)
Protected Attributes inherited from hpp::corbaServer::ServerPlugin
Server * | parent_
ProblemSolverMapPtr_t | problemSolverMap_

## Constructor & Destructor Documentation

## ◆ BasicServer()

hpp::corbaServer::BasicServer::BasicServer | ( | Server * | parent | ) |

## ◆ ~BasicServer()

hpp::corbaServer::BasicServer::~BasicServer | ( |  | ) |

## Member Function Documentation

## ◆ name()

std::string hpp::corbaServer::BasicServer::name | ( |  | ) | const
| virtual

Implements hpp::corbaServer::ServerPlugin.

## ◆ servant()

CORBA::Object_ptr hpp::corbaServer::BasicServer::servant | ( | const std::string & | name | ) | const
| virtual

Implements hpp::corbaServer::ServerPlugin.

## ◆ startCorbaServer()

void hpp::corbaServer::BasicServer::startCorbaServer | ( | const std::string & | contextId,
|  | const std::string & | contextKind
| ) |  |
| virtual

Start corba server.

Implements hpp::corbaServer::ServerPlugin.

The documentation for this class was generated from the following file:

- src/basic-server.hh